:root {
    --main-dark: #121212;
    --main-blue: #007bff;
    --main-grey-light: #9f9f9f;
    --main-blue-dark: #0067f4;
    --main-grey: #6c6c6c;
    --main-red: #dc3545;
    --main-light-grey: #f4f6f7;
    --main-dark-blue: #2b354f;
    --main-cyan: #17a2b8;
    --main-white: #ffffff;
    --main-light-blue: #3a6fb0;
    --main-black: #000000;
    --main-green: #28a745;
    --bg-transparent: rgba(0, 0, 0, 0);
}

.title-header {
    color: var(--main-blue);
    position: relative;
    z-index: 10;
}

textarea:focus,
textarea.form-control:focus,
input.form-control:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
input[type="number"]:focus,
[type="text"].form-control:focus,
[type="password"].form-control:focus,
[type="email"].form-control:focus,
[type="tel"].form-control:focus,
[contenteditable].form-control:focus {
    box-shadow: inset 0 -1px 0 #ddd;
}

/*                                  INDEX                                   */
.btn.btn-search {
    color: var(--main-white);
    background-color: var(--main-blue);
}

.btn.btn-search:hover {
    color: var(--main-white);
    background-color: var(--main-blue-dark);
}

.btn.btn-search:active {
    background-color: var(--main-dark-blue);
}

.card-event {
    border-radius: 10px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    margin-bottom: 20px;
    height: 350px;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    color: inherit;
    width: 100%;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card-event:hover {
    transform: translateY(-2px);
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}

.card-img-top {
    width: 100%;
    height: 180px;
    border-radius: 5px;
    object-fit: fill;
    /* object-position: center; */
}

.card-title {
    font-size: 18px;
    font-weight: 600;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.date {
    font-size: 14px;
    font-weight: 500;
}

.footer-card {
    position: absolute;
    bottom: 10px;
    background-color: rgba(255, 255, 255, 0.9);
}

.price {
    font-weight: 600;
    font-size: 18px;
}

/*                                  DETAIL                                   */

.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-item {
    padding: 3px;
}

.small-image-1,
.small-image-2,
.small-image-3,
.small-image-4 {
    object-fit: cover;
    width: 100%;
    height: 200px;
}

.main-image {
    height: auto;
    min-height: 400px;
    object-fit: cover;
    border-radius: 12px 0px 0px 12px;
}

.small-image-2 {
    border-radius: 0px 12px 0px 0px;
}

.small-image-4 {
    border-radius: 0px 0px 12px 0px;
}

.picture {
    padding: 3px;
}

.col-md-6 .badge-custom {
    background-color: var(--primaryblue);
    color: #fff;
    border-radius: 4px;
    font-size: 12px;
    font-weight: 500;
    padding: 8px 16px;
}

.thumbnail-gallery img.thumbnail-image {
    width: 100%;
    object-fit: cover;
    border-radius: 5px;
    transition: border 0.3s;
    height: 100px;
}

.thumbnail-gallery img.thumbnail-image:hover {
    border: transparent;
}

.btn.btn-nextprevImage:active {
    background-color: transparent;
    border: transparent;
}

a.btn.btn-outline-info.my-3:hover {
    color: var(--main-white);
}

.full-image {
    width: 100%;
    height: 500px;
    object-fit: cover;
    border-radius: 5px;
}

.title-event {
    font-size: 2rem;
    font-weight: 600;
    color: var(--main-black);
}

.btn.btn-daftar {
    color: var(--main-white);
    background-color: var(--main-green);
}

.btn.btn-daftar:active {
    transform: translateY(2px);
    background-color: var(--main-green);
    color: var(--main-white);
}

.title-desc {
    font-size: 14px;
    font-weight: 600;
}

.title-car {
    font-size: 24px;
    font-weight: 600;
}

.agenda-event {
    font-size: 16px;
}

.card-header {
    color: var(--main-white);
    background-color: var(--main-light-blue);
}

/*                                  RESPONSIVE                                   */

@media screen and (max-width: 950px) {
    .nav {
        padding: 15px 50px;
    }

    .main-image {
        border-radius: 0px;
    }

    .small-image-2 {
        border-radius: 0px;
    }

    .small-image-4 {
        border-radius: 0px;
    }
}

@media (max-width: 768px) {
    .small-image-1,
    .small-image-2,
    .small-image-3,
    .small-image-4 {
        height: 150px;
    }

    .main-image {
        min-height: 300px;
    }
}

@media (min-width: 1400px) {
    /* .gallery-item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    } */

    .main-image {
        min-height: 500px;
    }

    .small-image-1,
    .small-image-2,
    .small-image-3,
    .small-image-4 {
        height: 250px;
    }

    .picture {
        padding: 5px;
        /* Tambahkan padding kecil agar tidak terlihat berantakan */
    }

    /* Maksimalkan kolom agar tidak terlalu besar di layar sangat lebar */
    .col-md-6 {
        max-width: 50%;
    }
}
